МАРСОХОД

Open Source Hardware Project

Новый Quartus Prime v17.0

prime17

Компания Intel выпустила очередную версию Quartus Prime v17.0.

Основные изменения похоже касаются только версий Quartus Prime Pro, то есть платной версии Quartus. Для простых проектов, таких, какие мы показываем здесь на нашем сайте видимо все эти новшества не очень актуальны.

Как и раньше, Quartus Prime поддерживает FPGA Cyclone IV, MAX II и MAX10, а так же другие, но не Cyclone III. Это значит, что для программирования платы Марсоход2 нужно использовать не версию Prime, а САПР Altera Quartus II v13.1. Для других наших плат: Марсоход (MAX II), Марсоход2bis (Cyclone IV), Марсоход3 и Марсоход3bis (MAX10) можно использовать новый Quartus Prime v17.0.

Программатор MBFTDI протестирован в последней версии квартуса и он работает, как и раньше.

Что же нового в 17й версии?
Пишут, что в новой версии реализована более быстрая инкрементальная компиляция для reusable-block. Предполагается, что над сложным проектом работают разные команды, когда каждая готовит свой логический блок в своем разделе (partition) ПЛИС и потом эти блоки якобы легко стыкуются, временной анализ для каждого раздела свой и его результаты сохраняются при объединении блоков в один проект. Более того, раздел может быть экспортирован в "design block", который потом может быть переиспользован в другом проекте. Это такая новая концепция "компиляции, основанной на блоках".

Подробнее можно прочитать на сайте Intel: https://www.altera.com/products/design-software/fpga-design/quartus-prime/what-s-new.html

 

Комментарии  

0 #3 Сергей2 15.07.2018 23:57
Долгое время пользовался Quartus v13.1 для работы с Cylcone III. Недавно руки дошли до вашей платы 3ий версии и соответственно возникла потребность перехода на более новый Quartus для работы с MAX 10. Установил версию 17. Однако она отказалась запускаться - при запуске один раз появилось сообщение "Невозможно открыть файл grep.exe..." и две кнопочки "Искать решение в инете" и "Закрыть программу". После этого последовательно устанавливал все версии квартуса до 15.0. Со всеми была такая же ситуация. После этого удалил 13.1, драйвер для бластера и по-новой установил 15.0. Теперь она запустилась. Установил снова 13.1 - 15.0 отвалилась( Не встречались ли вы с подобной проблемой? Есть какая-нибудь информация по совместной работе несколькоих версии на одном ПК?
0 #2 nckm 07.05.2018 17:39
Цитирую ASC_Valiliy:
Не могу скачать MBFTDI для Quartus версия 1.8b
СООБЩЕНИЕ
Ошибка при скачивании файла Файл не найден на сервере

починил
0 #1 ASC_Valiliy 03.05.2018 16:55
Не могу скачать MBFTDI для Quartus версия 1.8b
СООБЩЕНИЕ
Ошибка при скачивании файла Файл не найден на сервере

Добавить комментарий



facebook  GitHub  YouTube  Twitter
Вы здесь: Начало Статьи о разном Новый Quartus Prime v17.0